From: "Kent Fredric" <kentfredric@gmail.com>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/perl-overlay:master commit in: dev-perl/MooseX-LazyRequire/
Date: Wed, 25 Jul 2012 18:30:20 +0000 (UTC) [thread overview]
Message-ID: <1343231498.30a3208c50ab6a66d60c83ffd53dcd89ebc7716a.kent@gentoo> (raw)
commit: 30a3208c50ab6a66d60c83ffd53dcd89ebc7716a
Author: Kent Fredric <kentfredric <AT> gmail <DOT> com>
AuthorDate: Wed Jul 25 15:51:38 2012 +0000
Commit: Kent Fredric <kentfredric <AT> gmail <DOT> com>
CommitDate: Wed Jul 25 15:51:38 2012 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/perl-overlay.git;a=commit;h=30a3208c
[newversion] MooseX-LazyRequire-0.80.0
(Portage version: 2.2.0_alpha101/git/Linux x86_64, signed Manifest commit with key ECD2C675C102CDA4)
---
dev-perl/MooseX-LazyRequire/ChangeLog | 8 +++-
.../MooseX-LazyRequire-0.70.0.ebuild | 4 +-
.../MooseX-LazyRequire-0.80.0.ebuild | 58 ++++++++++++++++++++
3 files changed, 67 insertions(+), 3 deletions(-)
diff --git a/dev-perl/MooseX-LazyRequire/ChangeLog b/dev-perl/MooseX-LazyRequire/ChangeLog
index 39463ed..11da817 100644
--- a/dev-perl/MooseX-LazyRequire/ChangeLog
+++ b/dev-perl/MooseX-LazyRequire/ChangeLog
@@ -1,7 +1,13 @@
# ChangeLog for dev-perl/MooseX-LazyRequire
-# Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
+# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+*MooseX-LazyRequire-0.80.0 (25 Jul 2012)
+
+ 25 Jul 2012; Kent Fredric <kentfredric@gmail.com>
+ MooseX-LazyRequire-0.70.0.ebuild, +MooseX-LazyRequire-0.80.0.ebuild:
+ Version Bump
+
05 Apr 2011; Kent Fredric <kentfredric@gmail.com>
MooseX-LazyRequire-0.30.0.ebuild, MooseX-LazyRequire-0.40.0.ebuild,
MooseX-LazyRequire-0.50.0.ebuild, MooseX-LazyRequire-0.60.0.ebuild,
diff --git a/dev-perl/MooseX-LazyRequire/MooseX-LazyRequire-0.70.0.ebuild b/dev-perl/MooseX-LazyRequire/MooseX-LazyRequire-0.70.0.ebuild
index b63e9ff..6d779b8 100644
--- a/dev-perl/MooseX-LazyRequire/MooseX-LazyRequire-0.70.0.ebuild
+++ b/dev-perl/MooseX-LazyRequire/MooseX-LazyRequire-0.70.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2011 Gentoo Foundation
+# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $
@@ -18,7 +18,7 @@ RDEPEND="
dev-perl/MooseX-Types
dev-perl/namespace-autoclean
>=dev-perl/aliased-0.300.0
- >=dev-perl/Moose-0.94
+ >=dev-perl/Moose-0.940
"
DEPEND="${RDEPEND}
>=virtual/perl-ExtUtils-MakeMaker-6.31
diff --git a/dev-perl/MooseX-LazyRequire/MooseX-LazyRequire-0.80.0.ebuild b/dev-perl/MooseX-LazyRequire/MooseX-LazyRequire-0.80.0.ebuild
new file mode 100644
index 0000000..67e95e8
--- /dev/null
+++ b/dev-perl/MooseX-LazyRequire/MooseX-LazyRequire-0.80.0.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+EAPI=4
+MODULE_AUTHOR=ETHER
+MODULE_VERSION=0.08
+inherit perl-module
+
+DESCRIPTION='Required attributes which fail only when trying to use them'
+LICENSE=" || ( Artistic GPL-2 )"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+perl_meta_configure() {
+ # ExtUtils::MakeMaker 6.30 ( 6.300.0 )
+ echo \>=virtual/perl-ExtUtils-MakeMaker-6.30
+}
+perl_meta_runtime() {
+ # Carp
+ # echo virtual/perl-Carp
+ # Moose 0.94 ( 0.940.0 )
+ echo \>=dev-perl/Moose-0.940
+ # Moose::Exporter
+ echo dev-perl/Moose
+ # Moose::Role
+ echo dev-perl/Moose
+ # MooseX::Types::Moose
+ echo dev-perl/MooseX-Types
+ # aliased 0.30 ( 0.300.0 )
+ echo \>=dev-perl/aliased-0.300.0
+ # namespace::autoclean
+ echo dev-perl/namespace-autoclean
+}
+perl_meta_test() {
+ # File::Find
+ echo dev-lang/perl
+ # File::Temp
+ echo virtual/perl-File-Temp
+ # Test::CheckDeps 0.002 ( 0.2.0 )
+ echo \>=dev-perl/Test-CheckDeps-0.2.0
+ # Test::Fatal
+ echo dev-perl/Test-Fatal
+ # Test::More 0.88 ( 0.880.0 )
+ echo \>=virtual/perl-Test-Simple-0.88
+ # strict
+ echo dev-lang/perl
+ # warnings
+ echo dev-lang/perl
+}
+DEPEND="
+ $(perl_meta_configure)
+ $(perl_meta_runtime)
+ test? ( $(perl_meta_test) )
+"
+RDEPEND="
+ $(perl_meta_runtime)
+"
+SRC_TEST="do"
next reply other threads:[~2012-07-25 18:31 UTC|newest]
Thread overview: 11+ messages / expand[flat|nested] mbox.gz Atom feed top
2012-07-25 18:30 Kent Fredric [this message]
-- strict thread matches above, loose matches on Subject: below --
2016-11-22 6:54 [gentoo-commits] proj/perl-overlay:master commit in: dev-perl/MooseX-LazyRequire/ Kent Fredric
2015-06-08 14:00 Kent Fredric
2013-04-28 16:45 Kent Fredric
2013-04-28 14:06 Kent Fredric
2013-02-10 19:29 Kent Fredric
2013-02-10 19:29 Kent Fredric
2013-02-07 13:55 Kent Fredric
2011-04-05 18:16 Kent Fredric
2011-04-05 11:17 Kent Fredric
2011-04-05 11:17 Kent Fredric
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1343231498.30a3208c50ab6a66d60c83ffd53dcd89ebc7716a.kent@gentoo \
--to=kentfredric@gmail.com \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox